> ## Documentation Index
> Fetch the complete documentation index at: https://developers.dock.us/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of workspace plan tasks

> Retrieve a list of workspace plan tasks



## OpenAPI

````yaml get /workspace-plan-tasks
openapi: 3.1.0
info:
  title: Dock API
  description: >-
    The Dock API is a RESTful API that allows you to interact with Dock in a
    programmatic way
  termsOfService: https://www.dock.us/legal/terms
  contact:
    name: API Support
    email: developers@dock.us
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://api.dock.us/{version}
    description: Production server
    variables:
      version:
        default: v1
        enum:
          - v1
security:
  - bearerAuth: []
tags:
  - name: Status check
    description: API to check if the API is up
  - name: Accounts
    description: API to manage accounts
  - name: Assets
    description: API to manage assets
  - name: Files
    description: API to manage files
  - name: Tags
    description: API to manage tags
  - name: Users
    description: API to manage users
  - name: Workspaces
    description: API to manage workspaces
  - name: Templates
    description: API to manage templates
  - name: Workspace pages
    description: API to manage workspace pages
  - name: Workspace plans
    description: API to manage workspace plans
  - name: Workspace plan tasks
    description: API to manage workspace plan tasks
  - name: Workspace sections
    description: API to manage workspace sections
paths:
  /workspace-plan-tasks:
    get:
      tags:
        - Workspace plan tasks
      description: Retrieve a list of workspace plan tasks
      parameters:
        - $ref: '#/components/parameters/workspacePlanTaskProperties'
        - $ref: '#/components/parameters/workspacePlanTaskFilters'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          description: Retrieve a list of workspace plan tasks
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      workspacePlanTasks:
                        type: array
                        items:
                          $ref: '#/components/schemas/WorkspacePlanTask'
                      pageInfo:
                        $ref: '#/components/schemas/Pagination'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  parameters:
    workspacePlanTaskProperties:
      name: properties
      in: query
      description: Select the workspace plan task properties that should be returned
      schema:
        type: array
        items:
          type: string
          enum:
            - isInternal
            - status
            - completedAt
            - actionLinkUrl
            - actionLinkName
            - actionText
            - actionType
            - showActionText
            - startDate
            - title
            - dueDate
            - index
            - createdAt
            - updatedAt
            - templatePlanTaskId
    workspacePlanTaskFilters:
      name: filters
      in: query
      description: Filter workspace plan tasks
      schema:
        type: object
        properties:
          workspaceId:
            type: string
            description: Filter workspace plan tasks by a workspace ID
            example: RiHO4e0Ju3DS
          workspacePlanId:
            type: string
            description: Filter workspace plan tasks by a workspace plan ID
            example: RiHO4e0Ju3DS
          templatePlanTaskId:
            type: string
            description: Filter workspace plan tasks by a template plan task ID
            example: RiHO4e0Ju3DS
    page:
      name: page
      in: query
      example: 1
      description: Page number
      schema:
        type: integer
    limit:
      name: limit
      in: query
      description: Number of results to return
      example: 10
      schema:
        type: integer
  schemas:
    WorkspacePlanTask:
      allOf:
        - $ref: '#/components/schemas/BaseObject'
        - type: object
          properties:
            object:
              type: string
              description: Type of the object
              enum:
                - workspacePlanTask
              example: workspacePlanTask
              readOnly: true
            url:
              type: string
              example: https://api.dock.us/v1/workspace-plan-tasks/RiHO4e0Ju3DS
              description: URL to the resource
              readOnly: true
            isInternal:
              type: boolean
              description: Whether the workspace plan task is internal
              example: false
            status:
              type: string
              description: Status of the workspace plan task
              example: In Progress
            completedAt:
              type: string
              format: date-time
              description: Completed at date of the workspace plan task
              example: '2024-01-01T00:00:00Z'
              nullable: true
            actionLinkUrl:
              type: string
              description: Action link URL of the workspace plan task
              example: https://acme.dock.us/onboarding
              nullable: true
            actionLinkName:
              type: string
              description: Action link name of the workspace plan task
              example: View onboarding plan
              nullable: true
            actionText:
              type: string
              description: Action text of the workspace plan task
              example: View onboarding plan
              nullable: true
            actionType:
              type: string
              description: Action type of the workspace plan task
              example: link
              enum:
                - link
                - fileDownload
                - fileUpload
                - form
                - video
                - calendar
                - pdf
                - embedAnything
                - embedCode
              nullable: true
            showActionText:
              type: boolean
              description: Whether to show action text of the workspace plan task
              example: true
            startDate:
              type: string
              format: date
              description: Start date of the workspace plan task
              example: '2024-01-01'
              nullable: true
            title:
              type: string
              description: Title of the workspace plan task
              example: Create onboarding plan
              nullable: true
            dueDate:
              type: string
              format: date
              description: Due date of the workspace plan task
              example: '2024-01-01'
              nullable: true
            index:
              type: integer
              description: Index of the workspace plan task
              example: 0
              nullable: true
            templatePlanTaskId:
              type: string
              description: ID of the associated template plan task
              example: RiHO4e0Ju3DS
              nullable: true
    Pagination:
      type: object
      properties:
        page:
          type: integer
          description: Current page number
          example: 1
        pages:
          type: integer
          description: Total number of pages
          example: 10
        total:
          type: integer
          description: Total number of items
          example: 100
        pageTotal:
          type: integer
          description: Number of items on the current page
          example: 10
        hasNextPage:
          type: boolean
          description: Whether there is a next page
          example: true
        hasPrevPage:
          type: boolean
          description: Whether there is a previous page
          example: false
    BaseObject:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        updatedAt:
          type: string
          format: date-time
          description: Last updated date
          example: '2021-01-01T00:00:00.000Z'
          readOnly: true
        createdAt:
          type: string
          format: date-time
          description: Created at date
          example: '2021-01-01T00:00:00.000Z'
          readOnly: true
    Id:
      type: string
      description: Id of the object
      example: RiHO4e0Ju3DS
      readOnly: true
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing)
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    description: A short code indicating the error code returned
                    example: BAD_REQUEST
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: >-
                      The request could not be understood or was missing
                      required parameters
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - UNAUTHORIZED
                    description: A short code indicating the error code returned
                    example: UNAUTHORIZED
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: >-
                      Access denied. You are not authorized to access this
                      resource
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - FORBIDDEN
                    description: A short code indicating the error code returned
                    example: FORBIDDEN
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: Access to this resource is restricted
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    description: A short code indicating the error code returned
                    example: NOT_FOUND
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: The requested resource could not be found
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - RATE_LIMIT_EXCEEDED
                    description: A short code indicating the error code returned
                    example: RATE_LIMIT_EXCEEDED
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: Rate limit exceeded. Please try again later
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    description: A short code indicating the error code returned
                    example: INTERNAL_SERVER_ERROR
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: >-
                      The server has encountered a situation it does not know
                      how to handle
                required:
                  - code
                  - message
            required:
              - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````